[Lunar-commits] r22337 - in moonbase/trunk/devel/dbus: . init.d
Terry Chan
tchan at lunar-linux.org
Tue Nov 28 05:19:51 CET 2006
Author: tchan
Date: 2006-11-28 05:19:51 +0100 (Tue, 28 Nov 2006)
New Revision: 22337
Modified:
moonbase/trunk/devel/dbus/POST_INSTALL
moonbase/trunk/devel/dbus/init.d/messagebus
Log:
Fixed my typo in POST_INSTALL. Added the required call to init.d/messagebus
of dbus-uuidgen --ensure in the start() call.
Modified: moonbase/trunk/devel/dbus/POST_INSTALL
===================================================================
--- moonbase/trunk/devel/dbus/POST_INSTALL 2006-11-28 03:13:07 UTC (rev 22336)
+++ moonbase/trunk/devel/dbus/POST_INSTALL 2006-11-28 04:19:51 UTC (rev 22337)
@@ -1,4 +1,4 @@
-dbus-uuidgen --ensure &
+dbus-uuidgen --ensure &&
if ! module_installed gtk-sharp ; then
message "${CYAN}You don't seem to have gtk-sharp installed"
message "and there's nothing wrong about that."
Modified: moonbase/trunk/devel/dbus/init.d/messagebus
===================================================================
--- moonbase/trunk/devel/dbus/init.d/messagebus 2006-11-28 03:13:07 UTC (rev 22336)
+++ moonbase/trunk/devel/dbus/init.d/messagebus 2006-11-28 04:19:51 UTC (rev 22337)
@@ -11,4 +11,19 @@
ARGS="--fork --system"
+start () {
+ get_data
+ echo -n "Starting $SHORT: "
+ if [ -x /usr/bin/dbus-uuidgen ] ; then
+ /usr/bin/dbus-uuidgen --ensure
+ fi
+ dbus-daemon $ARGS &> /dev/null
+ if [ $? == 0 ] ; then
+ mkpid
+ echo -e $RESULT_OK
+ else
+ echo -e $RESULT_FAIL
+ fi
+}
+
. /lib/lsb/init-functions $1
More information about the Lunar-commits
mailing list